Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Problem building for Amazon
Started by dmarques42 Jul 29 2018 11:46 AM

1 reply to this topic
amazon invalid declared length
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

dmarques42

[GLOBAL: userInfoPane.html]
dmarques42
  • Enthusiast

  • 45 posts
  • Corona SDK

I have built an app for Google Play and for iOS, have been running it on Android and iOS devices for several months. Today I decided to add it to the Amazon store, but it was rejected as 'invalid input'.

 

Then I built it for my Amazon Kindle Fire, and it crashes on load. The log from loading shows two errors.

 

The first error is:

 

W/        (  853): Zip: Invalid declared length
W/zipro   (  853): Error iteration over [...].apk: Invalid offset
                    
Interestingly, this error also shows up during the install to Android devices, but it all works from there. But the Amazon Fire blows up on start, with this erorr:
 
 KFFOWI:
Jul 29 12:30:23.236  Input dispatching paused for current ActivityRecord: ActivityRecord{1beca5b4 u0 [...]/com.ansca.corona.CoronaActivity t22}
Jul 29 12:30:23.674 KFFOWI: FATAL EXCEPTION: main
Jul 29 12:30:23.693 KFFOWI: Process: [...], PID: 21196
                    KFFOWI: java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader[DexPathList[[zip file "/data/app[...]/base.apk", zip file "/system/priv-app/MetricsApi/MetricsApi.apk", zip file 
Jul 29 12:30:23.693 "/system/priv-app/com.amazon.dp.logger/com.amazon.dp.logger.apk"],nativeLibraryDirectories=[/data/app/[...]/lib/arm, /vendor/lib, /system/lib]]] couldn't find "libopenal.so"
 
 
I have tried building with several different builds from the download page, including 2018-3326 and 2018-3338 and 2018-3319. All produce the same results.
 
Building for Amazon or for Google Play makes no difference.
 
I can find no other errors. The only plugin is the Corona zip plugin, and I tried removing that and the same error (and I have other apps that use that plugin with no problem). 
 
I have built other apps for Amazon for years, no other problems.
 
I suspect it is something with my setup now -- perhaps my Android SDK setup? None of my old apps will load onto my Fire either, all get the same error.
 
BUT: most importantly, I rebuilt the app on a different Mac, and all worked fine. So, presumably something with either Corona or Android setup on this computer?
 
Any suggestions?
 
 


[TOPIC: post.html]
#2

dmarques42

[GLOBAL: userInfoPane.html]
dmarques42
  • Enthusiast

  • 45 posts
  • Corona SDK

The computer that does not work has Java 9.0.4, the one that works uses Java 1.8.

 

Upgrading to 10.0.2 did not help.




[topic_controls]
[/topic_controls]

Also tagged with one or more of these keywords: amazon, invalid declared length